Apple rejected: Guideline 2.3 - Performance - Accurate Metadata

Hi,

I’m not sure how to resolve this issue. I have seen some other topics in this forum saying that the only way is to set supportsTablet: false, but I do want support iPads.

Guideline 2.3 - Performance - Accurate Metadata

We were unable to install the app on iPad and iPhone. The UIRequiredDeviceCapabilities key in the Info.plist is set in such a way that the app will not install on iPad and iPhone.

Can anyone help me out?

Hey @richardruiter, couple questions for you!

  1. What SDK version are you using for your project?
  2. Is this your first submission or an update to an existing app in the store?
  3. Can you share your current app.json?

Cheers,
Adam

  1. SDK version: 38
  2. It was my first submission, but meanwhile we have done a scond one.
  3. app.json
{
  "expo": {
    "name": "Nori Health",
    "slug": "nori",
    "version": "1.0.15",
    "scheme": "nori",
    "orientation": "portrait",
    "icon": "./assets/icon.png",
    "splash": {
      "image": "./assets/splash.png",
      "resizeMode": "contain",
      "backgroundColor": "#ffffff"
    },
    "updates": {
      "fallbackToCacheTimeout": 0
    },
    "assetBundlePatterns": ["**/*"],
    "ios": {
      "bundleIdentifier": "com.norihealth.app",
      "buildNumber": "1.0.15"
    },
    "android": {
      "package": "com.norihealth.app",
      "versionCode": 1
    },
    "web": {
      "favicon": "./assets/favicon.png"
    },
    "description": "Nori helps patients improve daily management of their condition and strengthen their belief in current treatment, including medication."
  }
}